Skip to main content
GET
/
v1
/
paykeys
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/paykeys
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z",
    "total_items": 123,
    "page_number": 123,
    "page_size": 123,
    "max_page_size": 123,
    "sort_by": "<string>",
    "sort_order": "asc",
    "total_pages": 123
  },
  "response_type": "object",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "Bank of America ****1234",
      "source": "bank_account",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "paykey": "<string>",
      "config": {
        "sandbox_outcome": "standard",
        "processing_method": "inline"
      },
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "institution_name": "Bank of America",
      "status_details": {
        "message": "Bank account sucesfully validated",
        "reason": "insufficient_funds",
        "source": "watchtower",
        "changed_at": "2023-11-07T05:31:56Z",
        "code": "<string>"
      },
      "expires_at": "2023-11-07T05:31:56Z",
      "bank_data": {
        "routing_number": "021000021",
        "account_number": "****1234",
        "account_type": "checking"
      },
      "external_id": "<string>",
      "unblock_eligible": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account id and set scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

customer_id
string<uuid>

Filter paykeys by related customer ID.

page_number
integer<int32>
default:1

Page number for paginated results. Starts at 1.

page_size
integer<int32>
default:100

Number of results per page. Maximum: 1000.

status
enum<string>[]

Filter paykeys by their current status.

Available options:
pending,
active,
inactive,
rejected,
review,
blocked
sort_by
enum<string>
Available options:
institution_name,
expires_at,
created_at
sort_order
enum<string>
default:asc
Available options:
asc,
desc
source
enum<string>[]

Filter paykeys by their source.

Available options:
bank_account,
straddle,
mx,
plaid,
tan,
quiltt
unblock_eligible
boolean

Filter paykeys by unblock eligibility. When true, returns only blocked paykeys eligible for client-initiated unblocking (blocked due to R29 returns and not previously unblocked). When false, returns only blocked paykeys that are not eligible for unblocking.

search_text
string

General search term to filter paykeys.

Response

OK

meta
object
required
response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required